Fehler beim Einspielen eines Dumbs aus 2.11.3 in 2.11.0

Und alles was mit phpMyAdmin seine Verwandtschaft findet hat hier seinen Platz.

Fehler beim Einspielen eines Dumbs aus 2.11.3 in 2.11.0

Postby Elektroschnitzel » 12. September 2008 06:55

Hallo zusammen,

ich habe ein nerviges Prob, wo ich gerne euren Rat zu hören würde ;).

Das hier ist mein Statement aus 2.11.3, welches ich als SQL exportiert habe:

Code: Select all
CREATE TABLE IF NOT EXISTS `gac_dictionary` (
  `dictionary_id` int(11) NOT NULL auto_increment COMMENT 'Wörterbuchindex',
  `item_id` char(15) character set latin1 NOT NULL COMMENT 'Text',
  `lang_id` varchar(5) character set latin1 NOT NULL,
  `translation` text character set latin1 NOT NULL,
  PRIMARY KEY  (`dictionary_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=1399 ;


und er gibt mir beim einspielen in 2.11.0 diese Meldung aus:

#1064 - You have an error in your SQL syntax. Check the manual that corresponds to your MySQL server version for the right syntax to use near 'character set latin1 NOT NULL,
PRIMARY KEY (`dictionary_id`)

Ich habe sogar die ` Striche weggenommen, brachte aber nichts.

Hat jemand den entscheidenden Tipp für mich?

Danke,
Schnitzel
Elektroschnitzel
 
Posts: 1
Joined: 12. September 2008 06:50

Postby Wiedmann » 12. September 2008 19:54

Hat jemand den entscheidenden Tipp für mich?

Yup, die jeweiligen phpMyAdmin Versionen ist hier nicht interessant. Aber die Versionen der beteiligten MySQL-Server (welche man dann idealerweise beim Export angibt)
Wiedmann
AF Moderator
 
Posts: 17106
Joined: 01. February 2004 12:38
Location: Stuttgart / Germany


Return to phpMyAdmin

Who is online

Users browsing this forum: No registered users and 4 guests